<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:47 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class io.mosip.registration.dto.ResponseDTO (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class io.mosip.registration.dto.ResponseDTO (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/class-use/ResponseDTO.html" target="_top">Frames</a></li>
<li><a href="ResponseDTO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class io.mosip.registration.dto.ResponseDTO" class="title">Uses of Class<br>io.mosip.registration.dto.ResponseDTO</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.jobs">io.mosip.registration.jobs</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.jobs.impl">io.mosip.registration.jobs.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service">io.mosip.registration.service</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.audit">io.mosip.registration.service.audit</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.audit.impl">io.mosip.registration.service.audit.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.config">io.mosip.registration.service.config</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.config.impl">io.mosip.registration.service.config.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.impl">io.mosip.registration.service.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.mapping">io.mosip.registration.service.mapping</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.mapping.impl">io.mosip.registration.service.mapping.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.packet">io.mosip.registration.service.packet</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.packet.impl">io.mosip.registration.service.packet.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.sync">io.mosip.registration.service.sync</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.sync.impl">io.mosip.registration.service.sync.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.template">io.mosip.registration.service.template</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.template.impl">io.mosip.registration.service.template.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.util.acktemplate">io.mosip.registration.util.acktemplate</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.util.common">io.mosip.registration.util.common</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.jobs">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/jobs/package-summary.html">io.mosip.registration.jobs</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../io/mosip/registration/jobs/package-summary.html">io.mosip.registration.jobs</a> declared as <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/BaseJob.html#responseDTO">responseDTO</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/jobs/package-summary.html">io.mosip.registration.jobs</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>abstract <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/BaseJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>
<div class="block">To execute the specified Job invocation</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/BaseJob.html#syncTransactionUpdate-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.lang.String-">syncTransactionUpdate</a></span>(<a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;responseDTO,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/jobs/package-summary.html">io.mosip.registration.jobs</a> with parameters of type <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/BaseJob.html#syncTransactionUpdate-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.lang.String-">syncTransactionUpdate</a></span>(<a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;responseDTO,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.jobs.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/jobs/impl/package-summary.html">io.mosip.registration.jobs.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/jobs/impl/package-summary.html">io.mosip.registration.jobs.impl</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">UserDetailServiceJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/UserDetailServiceJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">SynchConfigDataJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/SynchConfigDataJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegUserMappingSyncJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/RegUserMappingSyncJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationPacketVirusScanJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/RegistrationPacketVirusScanJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationPacketSyncJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/RegistrationPacketSyncJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDeletionJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/RegistrationDeletionJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PreRegistrationPacketDeletionJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/PreRegistrationPacketDeletionJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PreRegistrationDataSyncJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/PreRegistrationDataSyncJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSyncStatusJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/PacketSyncStatusJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">MasterSyncJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/MasterSyncJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">KeyPolicySyncJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/KeyPolicySyncJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">DeleteAuditLogsJob.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/DeleteAuditLogsJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/service/package-summary.html">io.mosip.registration.service</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/package-summary.html">io.mosip.registration.service</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PolicySyncService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/PolicySyncService.html#checkKeyValidation--">checkKeyValidation</a></span>()</code>
<div class="block">it checks either key is valid or not</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PolicySyncService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/PolicySyncService.html#fetchPolicy--">fetchPolicy</a></span>()</code>
<div class="block">it gets the key from server</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/BaseService.html#getErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">getErrorResponse</a></span>(<a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;response,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;attributes)</code>
<div class="block">create error response.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">MasterSyncService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/MasterSyncService.html#getMasterSync-java.lang.String-java.lang.String-">getMasterSync</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;masterSyncDetails,
             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>
<div class="block">Gets the master sync.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">UserDetailService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/UserDetailService.html#save-java.lang.String-">save</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerpoint)</code>
<div class="block">Gets the user detail.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/BaseService.html#setErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">setErrorResponse</a></span>(<a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;response,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;attributes)</code>
<div class="block">create error response.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/BaseService.html#setSuccessResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">setSuccessResponse</a></span>(<a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;responseDTO,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;attributes)</code>
<div class="block">create success response.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">UserMachineMappingService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/UserMachineMappingService.html#syncUserDetails--">syncUserDetails</a></span>()</code>
<div class="block">global config details are synched from server to client</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">UserOnboardService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/UserOnboardService.html#validate-io.mosip.registration.dto.biometric.BiometricDTO-">validate</a></span>(<a href="../../../../../io/mosip/registration/dto/biometric/BiometricDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricDTO</a>&nbsp;biometricDTO)</code>
<div class="block">Validate.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/package-summary.html">io.mosip.registration.service</a> with parameters of type <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/BaseService.html#getErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">getErrorResponse</a></span>(<a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;response,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;attributes)</code>
<div class="block">create error response.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/BaseService.html#setErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">setErrorResponse</a></span>(<a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;response,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;attributes)</code>
<div class="block">create error response.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/BaseService.html#setSuccessResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">setSuccessResponse</a></span>(<a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;responseDTO,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;attributes)</code>
<div class="block">create success response.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.audit">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/service/audit/package-summary.html">io.mosip.registration.service.audit</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/audit/package-summary.html">io.mosip.registration.service.audit</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">AuditService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/audit/AuditService.html#deleteAuditLogs--">deleteAuditLogs</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.audit.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/service/audit/impl/package-summary.html">io.mosip.registration.service.audit.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/audit/impl/package-summary.html">io.mosip.registration.service.audit.impl</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">AuditServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/audit/impl/AuditServiceImpl.html#deleteAuditLogs--">deleteAuditLogs</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.config">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/service/config/package-summary.html">io.mosip.registration.service.config</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/config/package-summary.html">io.mosip.registration.service.config</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/JobConfigurationService.html#executeAllJobs--">executeAllJobs</a></span>()</code>
<div class="block">Run all the jobs</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/JobConfigurationService.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>
<div class="block">execute the specified job</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/JobConfigurationService.html#getCurrentRunningJobDetails--">getCurrentRunningJobDetails</a></span>()</code>
<div class="block">To fetch the details of currently running job details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/JobConfigurationService.html#getLastCompletedSyncJobs--">getLastCompletedSyncJobs</a></span>()</code>
<div class="block">Get Last Completed Sync Jobs from Sync Control</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/JobConfigurationService.html#getRestartTime--">getRestartTime</a></span>()</code>
<div class="block">Get restart time</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/JobConfigurationService.html#getSyncJobsTransaction--">getSyncJobsTransaction</a></span>()</code>
<div class="block">Get history of Sync Jobs from Sync Transaction</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/JobConfigurationService.html#isRestart--">isRestart</a></span>()</code>
<div class="block">Is Application to be restart</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/JobConfigurationService.html#startScheduler--">startScheduler</a></span>()</code>
<div class="block">Start the jobs with sheduled Time</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/JobConfigurationService.html#stopScheduler--">stopScheduler</a></span>()</code>
<div class="block">Stop the jobs manually</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">GlobalParamService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/GlobalParamService.html#synchConfigData-boolean-">synchConfigData</a></span>(boolean&nbsp;isJob)</code>
<div class="block">Get Global params details from server</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.config.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/service/config/impl/package-summary.html">io.mosip.registration.service.config.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/config/impl/package-summary.html">io.mosip.registration.service.config.impl</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#executeAllJobs--">executeAllJobs</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#getCurrentRunningJobDetails--">getCurrentRunningJobDetails</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#getLastCompletedSyncJobs--">getLastCompletedSyncJobs</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#getRestartTime--">getRestartTime</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#getSyncJobsTransaction--">getSyncJobsTransaction</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#isRestart--">isRestart</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#startScheduler--">startScheduler</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobConfigurationServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#stopScheduler--">stopScheduler</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">GlobalParamServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/impl/GlobalParamServiceImpl.html#synchConfigData-boolean-">synchConfigData</a></span>(boolean&nbsp;isJob)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/service/impl/package-summary.html">io.mosip.registration.service.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/impl/package-summary.html">io.mosip.registration.service.impl</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PolicySyncServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/impl/PolicySyncServiceImpl.html#checkKeyValidation--">checkKeyValidation</a></span>()</code>
<div class="block">(non-Javadoc)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PolicySyncServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/impl/PolicySyncServiceImpl.html#fetchPolicy--">fetchPolicy</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">MasterSyncServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/impl/MasterSyncServiceImpl.html#getMasterSync-java.lang.String-java.lang.String-">getMasterSync</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;masterSyncDtls,
             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">UserDetailServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/impl/UserDetailServiceImpl.html#save-java.lang.String-">save</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">UserMachineMappingServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/impl/UserMachineMappingServiceImpl.html#syncUserDetails--">syncUserDetails</a></span>()</code>
<div class="block">(non-Javadoc)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">UserOnboardServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/impl/UserOnboardServiceImpl.html#validate-io.mosip.registration.dto.biometric.BiometricDTO-">validate</a></span>(<a href="../../../../../io/mosip/registration/dto/biometric/BiometricDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricDTO</a>&nbsp;biometricDTO)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/impl/package-summary.html">io.mosip.registration.service.impl</a> with parameters of type <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PolicySyncServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/impl/PolicySyncServiceImpl.html#getPublicKey-io.mosip.registration.dto.ResponseDTO-">getPublicKey</a></span>(<a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;responseDTO)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.mapping">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/service/mapping/package-summary.html">io.mosip.registration.service.mapping</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/mapping/package-summary.html">io.mosip.registration.service.mapping</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapMachineService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/mapping/MapMachineService.html#saveOrUpdate-io.mosip.registration.dto.UserMachineMappingDTO-">saveOrUpdate</a></span>(<a href="../../../../../io/mosip/registration/dto/UserMachineMappingDTO.html" title="class in io.mosip.registration.dto">UserMachineMappingDTO</a>&nbsp;userDTO)</code>
<div class="block">Update or save User Details in Machine Mapping</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapMachineService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/mapping/MapMachineService.html#updateMappedDevice-java.util.List-java.util.List-">updateMappedDevice</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/DeviceDTO.html" title="class in io.mosip.registration.dto">DeviceDTO</a>&gt;&nbsp;deletedList,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/DeviceDTO.html" title="class in io.mosip.registration.dto">DeviceDTO</a>&gt;&nbsp;addedList)</code>
<div class="block">Updates the devices unmapped from the registration center machine and the
 devices mapped to the registration center machine</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapMachineService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/mapping/MapMachineService.html#view--">view</a></span>()</code>
<div class="block">view list of Users to get mapping and already mapped</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.mapping.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/service/mapping/impl/package-summary.html">io.mosip.registration.service.mapping.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/mapping/impl/package-summary.html">io.mosip.registration.service.mapping.impl</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapMachineServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/mapping/impl/MapMachineServiceImpl.html#saveOrUpdate-io.mosip.registration.dto.UserMachineMappingDTO-">saveOrUpdate</a></span>(<a href="../../../../../io/mosip/registration/dto/UserMachineMappingDTO.html" title="class in io.mosip.registration.dto">UserMachineMappingDTO</a>&nbsp;userMachineMappingDTO)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapMachineServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/mapping/impl/MapMachineServiceImpl.html#updateMappedDevice-java.util.List-java.util.List-">updateMappedDevice</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/DeviceDTO.html" title="class in io.mosip.registration.dto">DeviceDTO</a>&gt;&nbsp;deletedList,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/DeviceDTO.html" title="class in io.mosip.registration.dto">DeviceDTO</a>&gt;&nbsp;addedList)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapMachineServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/mapping/impl/MapMachineServiceImpl.html#view--">view</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.packet">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/service/packet/package-summary.html">io.mosip.registration.service.packet</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/packet/package-summary.html">io.mosip.registration.service.packet</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html#deleteRegistrationPackets--">deleteRegistrationPackets</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketEncryptionService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/PacketEncryptionService.html#encrypt-io.mosip.registration.dto.RegistrationDTO-byte:A-">encrypt</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registrationDTO,
       byte[]&nbsp;packetZipData)</code>
<div class="block">Encrypts the input data using AES algorithm followed by RSA.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketHandlerService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/PacketHandlerService.html#handle-io.mosip.registration.dto.RegistrationDTO-">handle</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registrationDTO)</code>
<div class="block">Method to create the packet data and encrypt the same</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html#packetSyncStatus-java.lang.String-">packetSyncStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerpoint)</code>
<div class="block">packet status sync with server</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketUploadService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/PacketUploadService.html#pushPacket-java.io.File-">pushPacket</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;packet)</code>
<div class="block">Push the packets that are marked as Synched to the server using web api.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationPacketVirusScanService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/RegistrationPacketVirusScanService.html#scanPacket--">scanPacket</a></span>()</code>
<div class="block">Scan the packets in the configured path</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html#syncPacket-java.lang.String-">syncPacket</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerpoint)</code>
<div class="block">This method will sync the packets to the server</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketExportService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/PacketExportService.html#updateRegistrationStatus-java.util.List-">updateRegistrationStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;exportedPackets)</code>
<div class="block">Update the exported packet status</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.packet.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/service/packet/impl/package-summary.html">io.mosip.registration.service.packet.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/packet/impl/package-summary.html">io.mosip.registration.service.packet.impl</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html#deleteRegistrationPackets--">deleteRegistrationPackets</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketEncryptionServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketEncryptionServiceImpl.html#encrypt-io.mosip.registration.dto.RegistrationDTO-byte:A-">encrypt</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registrationDTO,
       byte[]&nbsp;packetZipData)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketHandlerServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketHandlerServiceImpl.html#handle-io.mosip.registration.dto.RegistrationDTO-">handle</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registrationDTO)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html#packetSyncStatus-java.lang.String-">packetSyncStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketUploadServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketUploadServiceImpl.html#pushPacket-java.io.File-">pushPacket</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;packet)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationPacketVirusScanServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/RegistrationPacketVirusScanServiceImpl.html#scanPacket--">scanPacket</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html#syncPacket-java.lang.String-">syncPacket</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketSynchServiceImpl.html#syncPacketsToServer-io.mosip.registration.dto.RegistrationPacketSyncDTO-java.lang.String-">syncPacketsToServer</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationPacketSyncDTO.html" title="class in io.mosip.registration.dto">RegistrationPacketSyncDTO</a>&nbsp;syncDtoList,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketExportServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketExportServiceImpl.html#updateRegistrationStatus-java.util.List-">updateRegistrationStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;exportedPackets)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.sync">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/service/sync/package-summary.html">io.mosip.registration.service.sync</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/sync/package-summary.html">io.mosip.registration.service.sync</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PreRegistrationDataSyncService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PreRegistrationDataSyncService.html#fetchAndDeleteRecords--">fetchAndDeleteRecords</a></span>()</code>
<div class="block">Fetch All the Pre-Registration Records that needs to be deleted and delete
 those records</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PreRegistrationDataSyncService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PreRegistrationDataSyncService.html#getPreRegistration-java.lang.String-">getPreRegistration</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;preRegistrationId)</code>
<div class="block">Get Pre Registration from pre gre server or reg client db</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PreRegistrationDataSyncService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PreRegistrationDataSyncService.html#getPreRegistrationIds-java.lang.String-">getPreRegistrationIds</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>
<div class="block">Retrive pre registrations from the pre reg server</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#syncPacketsToServer-io.mosip.registration.dto.RegistrationPacketSyncDTO-java.lang.String-">syncPacketsToServer</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationPacketSyncDTO.html" title="class in io.mosip.registration.dto">RegistrationPacketSyncDTO</a>&nbsp;syncDtoList,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>
<div class="block">This method is used to synch the packets to the server.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncStatusValidatorService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/SyncStatusValidatorService.html#validateSyncStatus--">validateSyncStatus</a></span>()</code>
<div class="block"><code>validateSyncStatus</code> class is to validate all the conditions referring
 to sync.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.sync.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/service/sync/impl/package-summary.html">io.mosip.registration.service.sync.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/sync/impl/package-summary.html">io.mosip.registration.service.sync.impl</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PreRegistrationDataSyncServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/impl/PreRegistrationDataSyncServiceImpl.html#fetchAndDeleteRecords--">fetchAndDeleteRecords</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PreRegistrationDataSyncServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/impl/PreRegistrationDataSyncServiceImpl.html#getPreRegistration-java.lang.String-">getPreRegistration</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;preRegistrationId)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PreRegistrationDataSyncServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/impl/PreRegistrationDataSyncServiceImpl.html#getPreRegistrationIds-java.lang.String-">getPreRegistrationIds</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncStatusValidatorServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/impl/SyncStatusValidatorServiceImpl.html#validateSyncStatus--">validateSyncStatus</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.template">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/service/template/package-summary.html">io.mosip.registration.service.template</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/template/package-summary.html">io.mosip.registration.service.template</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">NotificationService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/template/NotificationService.html#sendEmail-java.lang.String-java.lang.String-java.lang.String-">sendEmail</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;emailId,
         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;regId)</code>
<div class="block">This method accept the message and email id to send email service.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">NotificationService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/template/NotificationService.html#sendSMS-java.lang.String-java.lang.String-java.lang.String-">sendSMS</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
       <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;number,
       <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;regId)</code>
<div class="block">This method accepts the message and phone number to send sms service.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.template.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/service/template/impl/package-summary.html">io.mosip.registration.service.template.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/template/impl/package-summary.html">io.mosip.registration.service.template.impl</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">NotificationServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/template/impl/NotificationServiceImpl.html#sendEmail-java.lang.String-java.lang.String-java.lang.String-">sendEmail</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;emailId,
         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;regId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">NotificationServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/template/impl/NotificationServiceImpl.html#sendSMS-java.lang.String-java.lang.String-java.lang.String-">sendSMS</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
       <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;number,
       <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;regId)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.util.acktemplate">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/util/acktemplate/package-summary.html">io.mosip.registration.util.acktemplate</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/util/acktemplate/package-summary.html">io.mosip.registration.util.acktemplate</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">TemplateGenerator.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/acktemplate/TemplateGenerator.html#generateTemplate-java.lang.String-io.mosip.registration.dto.RegistrationDTO-io.mosip.kernel.core.templatemanager.spi.TemplateManagerBuilder-java.lang.String-">generateTemplate</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;templateText,
                <a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registration,
                io.mosip.kernel.core.templatemanager.spi.TemplateManagerBuilder&nbsp;templateManagerBuilder,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;templateType)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.util.common">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> in <a href="../../../../../io/mosip/registration/util/common/package-summary.html">io.mosip.registration.util.common</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/util/common/package-summary.html">io.mosip.registration.util.common</a> that return <a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">OTPManager.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/common/OTPManager.html#getOTP-java.lang.String-">getOTP</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;userId)</code>
<div class="block">Get OTP for the User from Kernel's AuthN Web-Service.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">OTPManager.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/common/OTPManager.html#validateOTP-java.lang.String-java.lang.String-">validateOTP</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;userId,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;otp)</code>
<div class="block">Validates the entered OTP against the user through Kernel's AuthN
 Web-Service.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/class-use/ResponseDTO.html" target="_top">Frames</a></li>
<li><a href="ResponseDTO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
